#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int brojac(int a,int b)
{
    int brojacA=0;
    int brojacB=0;
    while(a!=0)
    {
        a=a/10;
        brojacA++;
    }
    while(b!=0)
    {
        b=b/10;
        brojacB++;
    }
    if(brojacA>=brojacB)
        return brojacA;
    else
        return brojacB;
}
int main()
{
    int X,Y,cifraX,cifraY;
    long long int novi=0;

    scanf("%d",&X);
    scanf("%d",&Y);

    int max=brojac(X,Y);

    for (int i=0;i<max;i++)
    {
        cifraX=X%10;
        X/=10;
        cifraY=Y%10;
        Y/=10;
        if (cifraX>cifraY)
            novi=novi+cifraX*pow(10,i);
        else
            novi=novi+cifraY*pow(10,i);
        if (cifraX==cifraY && cifraX!=0)
        {
            max++;
            i++;
            novi=novi+cifraY*pow(10,i);
        }
    }
    printf("%llu",novi);
}